<?xml version="1.0" encoding="gb2312" ?>
<events>
	<window>
		<item  event="事件类型"  declare="函数声明" remark="备注" />
		<item  event="XWM_WINDPROC"  declare="int CALLBACK OnWndProc(UINT message, WPARAM wParam, LPARAM lParam, BOOL *pbHandled)" remark="窗口消息过程" />
		<item  event="XWM_XC_TIMER"  declare="int CALLBACK OnWndXCTimer(UINT nTimerID,BOOL *pbHandled)" remark="炫彩定时器,非系统定时器,注册消息XWM_TIMER接收" />
		<item  event="XWM_MENU_POPUP"  declare="int CALLBACK OnWndMenuPopup(HMENUX hMenu, BOOL *pbHandled)" remark="菜单弹出" />
		<item  event="XWM_MENU_POPUP_WND"  declare="int CALLBACK OnWndMenuPopupWnd(HMENUX hMenu,menu_popupWnd_i *pInfo,BOOL *pbHandled)" remark="菜单弹出窗口" />
		<item  event="XWM_MENU_SELECT"  declare="int CALLBACK OnWndMenuSelect(int nID,BOOL *pbHandled)" remark="菜单选择" />
		<item  event="XWM_MENU_EXIT"  declare="int CALLBACK OnWndMenuExit(BOOL *pbHandled)" remark="菜单退出" />
		<item  event="XWM_MENU_DRAW_BACKGROUND"  declare="int CALLBACK OnWndMenuDrawBackground(HDRAW hDraw,menu_drawBackground_i *pInfo,BOOL *pbHandled)" remark="绘制菜单背景, 启用该功能需要调用XMenu_EnableDrawBackground()." />
		<item  event="XWM_MENU_DRAWITEM"  declare="int CALLBACK OnMenuDrawItem(HDRAW hDraw,menu_drawItem_i* pInfo,BOOL *pbHandled)" remark="绘制菜单项事件, 启用该功能需要调用XMenu_EnableDrawItem()." />
		<item  event="XWM_PAINT_END"  declare="int CALLBACK OnWndDrawWindowEnd(HDRAW hDraw,BOOL *pbHandled)" remark="XWM_PAINT_END XWM_PAINT_END 窗口绘制完成消息" />
		<frameWindow>
			<item  event="XWM_FLOAT_PANE"  declare="int CALLBACK OnWndFloatPane(HWINDOW hFloatWnd, HELE hPane, BOOL *pbHandled)" remark="浮动窗格" />
		</frameWindow>
	</window>
	<elementUI>
		<item  event="XE_ELEPROCE"  declare="int CALLBACK OnEventProc(UINT nEvent, WPARAM wParam, LPARAM lParam, BOOL *pbHandled)" remark="元素处理过程事件." />
		<item  event="XE_PAINT"  declare="int CALLBACK OnDraw(HDRAW hDraw,BOOL *pbHandled)" remark="元素绘制事件" />
		<item  event="XE_PAINT_END"  declare="int CALLBACK OnPaintEnd(HDRAW hDraw,BOOL *pbHandled)" remark="该元素及子元素绘制完成事件.启用该功能需要调用XEle_EnableEvent_XE_PAINT_END()" />
		<item  event="XE_PAINT_SCROLLVIEW"  declare="int CALLBACK OnDrawScrollView(HDRAW hDraw,BOOL *pbHandled)" remark="滚动视图绘制事件." />
		<item  event="XE_MOUSEMOVE"  declare="int CALLBACK OnMouseMove(UINT nFlags, POINT *pPt, BOOL *pbHandled)" remark="元素鼠标移动事件." />
		<item  event="XE_MOUSESTAY"  declare="int CALLBACK OnMouseStay(BOOL *pbHandled)" remark="元素鼠标进入事件." />
		<item  event="XE_MOUSEHOVER"  declare="int CALLBACK OnMouseHover(UINT nFlags, POINT *pPt, BOOL *pbHandled)" remark="元素鼠标悬停事件." />
		<item  event="XE_MOUSELEAVE"  declare="int CALLBACK OnMouseLeave(HELE hEleStay,BOOL *pbHandled)" remark="元素鼠标离开事件." />
		<item  event="XE_MOUSEWHEEL"  declare="int CALLBACK OnMouseWheel(UINT nFlags,POINT *pPt,BOOL *pbHandled)" remark="元素鼠标滚轮滚动事件." />
		<item  event="XE_LBUTTONDOWN"  declare="int CALLBACK OnLButtonDown(UINT nFlags, POINT *pPt,BOOL *pbHandled)" remark="鼠标左键按下事件." />
		<item  event="XE_LBUTTONUP"  declare="int CALLBACK OnLButtonUp(UINT nFlags, POINT *pPt,BOOL *pbHandled)" remark="鼠标左键弹起事件." />
		<item  event="XE_RBUTTONDOWN"  declare="int CALLBACK OnRButtonDOWN(UINT nFlags, POINT *pPt,BOOL *pbHandled)" remark="鼠标右键按下事件." />
		<item  event="XE_RBUTTONUP"  declare="int CALLBACK OnRButtonUp(UINT nFlags, POINT *pPt,BOOL *pbHandled)" remark="鼠标右键弹起事件." />
		<item  event="XE_LBUTTONDBCLICK"  declare="int CALLBACK OnLButtonDBClick(UINT nFlags, POINT *pPt,BOOL *pbHandled)" remark="鼠标左键双击事件." />
		<item  event="XE_XC_TIMER"  declare="int CALLBACK OnEleXCTimer(UINT nTimerID,BOOL *pbHandled)" remark="炫彩定时器,非系统定时器,定时器消息 XM_TIMER." />
		<item  event="XE_SETFOCUS"  declare="int CALLBACK OnSetFocus(BOOL *pbHandled)" remark="元素获得焦点事件." />
		<item  event="XE_KILLFOCUS"  declare="int CALLBACK OnKillFocus(BOOL *pbHandled)" remark="元素失去焦点事件." />
		<item  event="XE_DESTROY"  declare="int CALLBACK OnDestroy(BOOL *pbHandled)" remark="元素销毁事件." />
		<item  event="XE_SIZE"  declare="int CALLBACK OnSize(BOOL *pbHandled)" remark="元素大小改变事件." />
		<item  event="XE_SHOW"  declare="int CALLBACK OnShow(BOOL bShow,BOOL *pbHandled)" remark="元素显示隐藏事件." />
		<item  event="XE_SETFONT"  declare="int CALLBACK OnSetFont(BOOL *pbHandled)" remark="元素设置字体事件." />
		<item  event="XE_KEYDOWN"  declare="int CALLBACK OnEventKeyDown(WPARAM wParam,LPARAM lParam,BOOL *pbHandled)" remark="元素按键事件." />
		<item  event="XE_KEYUP"  declare="int CALLBACK OnEventKeyUp(WPARAM wParam,LPARAM lParam,BOOL *pbHandled)" remark="元素按键事件." />
		<item  event="XE_CHAR"  declare="int CALLBACK OnEventChar(WPARAM wParam,LPARAM lParam,BOOL *pbHandled)" remark="通过TranslateMessage函数翻译的字符事件." />
		<item  event="XE_SETCAPTURE"  declare="int CALLBACK OnSetCapture(BOOL *pbHandled)" remark="元素设置鼠标捕获." />
		<item  event="XE_KILLCAPTURE"  declare="int CALLBACK OnKillCapture(BOOL *pbHandled)" remark="元素失去鼠标捕获." />
		<item  event="XE_SETCURSOR"  declare="int CALLBACK OnSetCursor(WPARAM wParam,LPARAM lParam,BOOL *pbHandled)" remark="设置鼠标光标" />
		<item  event="XE_DROPFILES"  declare="int CALLBACK OnDropFiles(HDROP hDropInfo, BOOL *pbHandled)" remark="文件拖放事件." />
		<buttonUI>
			<item  event="XE_BNCLICK"  declare="int CALLBACK OnBtnClick(BOOL *pbHandled)" remark="按钮点击事件." />
			<item  event="XE_BUTTON_CHECK"  declare="int CALLBACK OnButtonCheck(BOOL bCheck,BOOL *pbHandled)" remark="按钮选中事件." />
			<textLinkUI>
			</textLinkUI>
		</buttonUI>
		<toolBarUI>
			<item  event="XE_TABBAR_SELECT"  declare="int CALLBACK OnTabBarSelect(int iItem, BOOL *pbHandled)" remark="TabBar标签按钮选择改变事件" />
			<item  event="XE_TABBAR_DELETE"  declare="int CALLBACK OnTabBarDelete(int iItem, BOOL *pbHandled)" remark="TabBar标签按钮删除事件" />
		</toolBarUI>
		<menuBarUI>
			<item  event="XE_MENU_POPUP"  declare="int CALLBACK OnMenuPopup(HMENUX hMenu, BOOL *pbHandled)" remark="弹出菜单项选择事件." />
			<item  event="XE_MENU_POPUP_WND"  declare="int CALLBACK OnMenuPopupWnd(HMENUX hMenu,menu_popupWnd_i* pInfo,BOOL *pbHandled)" remark="弹出菜单项选择事件." />
			<item  event="XE_MENU_SELECT"  declare="int CALLBACK OnMenuSelect(int nItem,BOOL *pbHandled)" remark="弹出菜单项选择事件." />
			<item  event="XE_MENU_DRAW_BACKGROUND"  declare="int CALLBACK OnMenuDrawBackground(HDRAW hDraw,menu_drawBackground_i *pInfo,BOOL *pbHandled)" remark="绘制菜单项事件, 启用该功能需要调用XMenu_EnableDrawItem()." />
			<item  event="XE_MENU_DRAWITEM"  declare="int CALLBACK OnMenuDrawItem(HDRAW hDraw,menu_drawItem_i* pInfo,BOOL *pbHandled)" remark="绘制菜单项事件, 启用该功能需要调用XMenu_EnableDrawItem()." />
			<item  event="XE_MENU_EXIT"  declare="int CALLBACK OnMenuExit(BOOL *pbHandled)" remark="弹出菜单退出事件." />
		</menuBarUI>
		<scrollBarUI>
			<item  event="XE_SBAR_SCROLL"  declare="int CALLBACK OnSBarScroll(int pos,BOOL *pbHandled)" remark="滚动条元素滚动事件,滚动条触发." />
		</scrollBarUI>
		<sliderBarUI>
			<item  event="XE_SLIDERBAR_CHANGE"  declare="int CALLBACK OnSliderBarChange(int pos,BOOL *pbHandled)" remark="滑动条元素,滑块位置改变事件." />
		</sliderBarUI>
		<progressBarUI>
			<item  event="XE_PROGRESSBAR_CHANGE"  declare="int CALLBACK OnProgressBarChange(int pos,BOOL *pbHandled)" remark="进度条元素,进度改变事件." />
		</progressBarUI>
		<monthCalUI>
			<item  event="XE_MONTHCAL_CHANGE"  declare="int CALLBACK OnCalendarChange(BOOL *pbHandled)" remark="月历元素日期改变事件, 未开放" />
		</monthCalUI>
		<dateTimeUI>
			<item  event="XE_DATETIME_CHANGE"  declare="int CALLBACK OnDateTimeChange(BOOL *pbHandled)" remark="日期时间元素,内容改变事件, 未开放" />
			<item  event="XE_DATETIME_POPUP_MONTHCAL"  declare="int CALLBACK OnDateTimePopupMonthCal(HWINDOW hMonthCalWnd,HELE hMonthCal,BOOL *pbHandled)" remark="日期时间元素,弹出月历卡片事件, 未开放" />
			<item  event="XE_DATETIME_EXIT_MONTHCAL"  declare="int CALLBACK OnDateTimeExitMonthCal(HWINDOW hMonthCalWnd,HELE hMonthCal,BOOL *pbHandled)" remark="日期时间元素,弹出的月历卡片退出事件, 未开放" />
		</dateTimeUI>
		<scrollViewUI>
			<item  event="XE_SCROLLVIEW_SCROLL_H"  declare="int CALLBACK OnScrollViewScrollH(int pos,BOOL *pbHandled)" remark="滚动视图元素水平滚动事件,滚动视图触发." />
			<item  event="XE_SCROLLVIEW_SCROLL_V"  declare="int CALLBACK OnScrollViewScrollV(int pos,BOOL *pbHandled)" remark="滚动视图元素垂直滚动事件,滚动视图触发." />
			<listBoxUI>
				<item  event="XE_LISTBOX_TEMP_CREATE"  declare="int CALLBACK OnListBoxTemplateCreate(listBox_item_i* pItem,BOOL *pbHandled)" remark="列表框元素,项模板创建." />
				<item  event="XE_LISTBOX_TEMP_CREATE_END"  declare="int CALLBACK OnListBoxTemplateCreateEnd(listBox_item_i* pItem,BOOL *pbHandled)" remark="列表框元素,项模板创建完成事件." />
				<item  event="XE_LISTBOX_TEMP_DESTROY"  declare="int CALLBACK OnListBoxTemplateDestroy(listBox_item_i* pItem,BOOL *pbHandled)" remark="列表框元素,项模板销毁." />
				<item  event="XE_LISTBOX_TEMP_ADJUST_COORDINATE"  declare="int CALLBACK OnListBoxTemplateAdjustCoordinate(listBox_item_i* pItem,BOOL *pbHandled)" remark="列表框元素,项模板调整坐标." />
				<item  event="XE_LISTBOX_DRAWITEM"  declare="int CALLBACK OnListBoxDrawItem(HDRAW hDraw,listBox_item_i* pItem,BOOL *pbHandled)" remark="列表框元素,项绘制事件." />
				<item  event="XE_LISTBOX_SELECT"  declare="int CALLBACK OnListBoxSelect(int iItem,BOOL *pbHandled)" remark="列表框元素,项选择事件." />
			</listBoxUI>
			<listUI>
				<item  event="XE_LIST_TEMP_CREATE"  declare="int CALLBACK OnListTemplateCreate(list_item_i* pItem,BOOL *pbHandled)" remark="列表元素,项模板创建." />
				<item  event="XE_LIST_TEMP_CREATE_END"  declare="int CALLBACK OnListTemplateCreateEnd(list_item_i* pItem,BOOL *pbHandled)" remark="列表元素,项模板创建完成事件." />
				<item  event="XE_LIST_TEMP_DESTROY"  declare="int CALLBACK OnListTemplateDestroy(list_item_i* pItem,BOOL *pbHandled)" remark="列表元素,项模板销毁." />
				<item  event="XE_LIST_TEMP_ADJUST_COORDINATE"  declare="typedef int CALLBACK OnListTemplateAdjustCoordinate(list_item_i* pItem,BOOL *pbHandled)" remark="列表元素,项模板调整坐标." />
				<item  event="XE_LIST_DRAWITEM"  declare="int CALLBACK OnListDrawItem(HDRAW hDraw,list_item_i* pItem,BOOL *pbHandled)" remark="列表元素,绘制项." />
				<item  event="XE_LIST_SELECT"  declare="int CALLBACK OnListSelect(int iItem,BOOL *pbHandled)" remark="列表元素,项选择事件." />
				<item  event="XE_LIST_HEADER_DRAWITEM"  declare="int CALLBACK OnListHeaderDrawItem(HDRAW hDraw, list_header_item_i* pItem, BOOL *pbHandled)" remark="列表元素绘制列表头项." />
				<item  event="XE_LIST_HEADER_CLICK"  declare="int CALLBACK OnListHeaderClick(int iItem, BOOL *pbHandled)" remark="列表元素,列表头项点击事件." />
				<item  event="XE_LIST_HEADER_WIDTH_CHANGE"  declare="int CALLBACK OnListHeaderItemWidthChange(int iItem, int nWidth BOOL *pbHandled)" remark="列表元素,列表头项宽度改变事件." />
				<item  event="XE_LIST_HEADER_TEMP_CREATE"  declare="int CALLBACK OnListHeaderTemplateCreate(list_header_item_i* pItem,BOOL *pbHandled)" remark="列表元素,列表头项模板创建." />
				<item  event="XE_LIST_HEADER_TEMP_CREATE_END"  declare="int CALLBACK OnListHeaderTemplateCreateEnd(list_header_item_i* pItem,BOOL *pbHandled)" remark="列表元素,列表头项模板创建完成事件." />
				<item  event="XE_LIST_HEADER_TEMP_DESTROY"  declare="int CALLBACK OnListHeaderTemplateDestroy(list_header_item_i* pItem,BOOL *pbHandled)" remark="列表元素,列表头项模板销毁." />
				<item  event="XE_LIST_HEADER_TEMP_ADJUST_COORDINATE"  declare="typedef int CALLBACK OnListHeaderTemplateAdjustCoordinate(list_header_item_i* pItem,BOOL *pbHandled)" remark="列表元素,列表头项模板调整坐标." />
			</listUI>
			<treeUI>
				<item  event="XE_TREE_TEMP_CREATE"  declare="int CALLBACK OnTreeTemplateCreate(tree_item_i* pItem,BOOL *pbHandled)" remark="树元素,项模板创建." />
				<item  event="XE_TREE_TEMP_CREATE_END"  declare="int CALLBACK OnTreeTemplateCreateEnd(tree_item_i* pItem,BOOL *pbHandled)" remark="树元素,项模板创建完成." />
				<item  event="XE_TREE_TEMP_DESTROY"  declare="int CALLBACK OnTreeTemplateDestroy(tree_item_i* pItem,BOOL *pbHandled)" remark="树元素,项模板销毁." />
				<item  event="XE_TREE_TEMP_ADJUST_COORDINATE"  declare="int CALLBACK OnTreeTemplateAdjustCoordinate(tree_item_i* pItem,BOOL *pbHandled)" remark="树元素,项模板,调整项坐标." />
				<item  event="XE_TREE_DRAWITEM"  declare="int CALLBACK OnTreeDrawItem(HDRAW hDraw,tree_item_i* pItem,BOOL *pbHandled)" remark="树元素,绘制项." />
				<item  event="XE_TREE_SELECT"  declare="int CALLBACK OnTreeSelect(int nItemID,BOOL *pbHandled)" remark="树元素,项选择事件." />
				<item  event="XE_TREE_EXPAND"  declare="int CALLBACK OnTreeExpand(int id,BOOL bExpand,BOOL *pbHandled)" remark="树元素,项展开收缩事件." />
				<item  event="XE_TREE_DRAG_ITEM_ING"  declare="int CALLBACK OnTreeDragItemIng(tree_drag_item_i* pInfo, BOOL *pbHandled)" remark="树元素,用户正在拖动项, 可对参数值修改." />
				<item  event="XE_TREE_DRAG_ITEM"  declare="int CALLBACK OnTreeDragItem(tree_drag_item_i* pInfo, BOOL *pbHandled)" remark="树元素,拖动项事件." />
			</treeUI>
			<listViewUI>
				<item  event="XE_LISTVIEW_TEMP_CREATE"  declare="int CALLBACK OnListViewTemplateCreate(listView_item_i* pItem,BOOL *pbHandled)" remark="列表视元素,项模板创建." />
				<item  event="XE_LISTVIEW_TEMP_CREATE_END"  declare="int CALLBACK OnListViewTemplateCreateEnd(listView_item_i* pItem,BOOL *pbHandled)" remark="列表视元素,项模板创建完成事件." />
				<item  event="XE_LISTVIEW_TEMP_DESTROY"  declare="int CALLBACK OnListViewTemplateDestroy(listView_item_i* pItem,BOOL *pbHandled)" remark="列表视元素,项模板销毁." />
				<item  event="XE_LISTVIEW_TEMP_ADJUST_COORDINATE"  declare="int CALLBACK OnListViewTemplateAdjustCoordinate(listView_item_i* pItem,BOOL *pbHandled)" remark="列表视元素,项模板调整坐标." />
				<item  event="XE_LISTVIEW_DRAWITEM"  declare="int CALLBACK OnListViewDrawItem(HDRAW hDraw,listView_item_i* pItem,BOOL *pbHandled)" remark="列表视元素,自绘项." />
				<item  event="XE_LISTVIEW_SELECT"  declare="int CALLBACK OnListViewSelect(int iGroup,int iItem,BOOL *pbHandled)" remark="列表视元素,项选择事件." />
				<item  event="XE_LISTVIEW_EXPAND"  declare="int CALLBACK OnListViewExpand(int iGroup,BOOL bExpand,BOOL *pbHandled)" remark="列表视元素,组展开收缩事件." />
			</listViewUI>
			<PropertyGridUI>
				<item  event="XE_PGRID_VALUE_CHANGE"  declare="int CALLBACK OnPGridValueChange(int nItemID,BOOL *pbHandled)" remark="属性网格元素 项值改变事件" />
				<item  event="XE_PGRID_ITEM_SET"  declare="int CALLBACK OnPGridItemSet(int nItemID, BOOL *pbHandled)" remark="属性网格元素 项值改变事件" />
				<item  event="XE_PGRID_ITEM_SELECT"  declare="int CALLBACK OnPGridItemSelect(int nItemID, BOOL *pbHandled)" remark="属性网格元素 项值改变事件" />
			</PropertyGridUI>
			<richEditUI>
				<item  event="XE_RICHEDIT_CHANGE"  declare="int CALLBACK OnRichEditChange(BOOL *pbHandled)" remark="富文本元素 用户修改内容事件,只有当用户操作时才会触发,需要开启后有效, XRichEdit_EnableEvent_XE_RICHEDIT_CHANGE()； XRichEdit_SetText()、XRichEdit_InsertString()不会触发此事件" />
				<comboBoxUI>
					<item  event="XE_COMBOBOX_SELECT"  declare="int CALLBACK OnComboBoxSelect(int iItem,BOOL *pbHandled)" remark="组合框下拉列表项选择事件." />
					<item  event="XE_COMBOBOX_POPUP_LIST"  declare="int CALLBACK OnComboBoxPopupList(HWINDOW hWindow,HELE hListBox,BOOL *pbHandled)" remark="组合框下拉列表弹出事件." />
					<item  event="XE_COMBOBOX_EXIT_LIST"  declare="int CALLBACK OnComboBoxExitList(BOOL *pbHandled)" remark="组合框下拉列表退出事件." />
				</comboBoxUI>
			</richEditUI>
		</scrollViewUI>
	</elementUI>	
</events>
